Skip to content

/api/v1/facilities/{id} (PUT)

PUT
/api/v1/facilities/{id}
curl --request PUT \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/yaml' \
--data '{ "name": "example", "code": "example", "facilityType": "Warehouse", "address": { "line1": "example", "line2": "example", "city": "example", "state": "example", "postalCode": "example", "country": "example" }, "timeZone": "example" }'
id
required
string format: uuid
object
name
required
string
code
required
string
facilityType
required
string
Allowed values: Warehouse DistributionCenter FulfillmentCenter
address
required
object
line1
required
string
line2
required
string
nullable
city
required
string
state
required
string
nullable
postalCode
required
string
country
required
string
timeZone
required
string

OK

object
id
required
string format: uuid
name
required
string
code
required
string
facilityType
required
string
address
required
object
line1
required
string
line2
required
string
nullable
city
required
string
state
required
string
nullable
postalCode
required
string
country
required
string
timeZone
required
string
locationCodePattern
required
string
status
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable